

public class NumerosPrimos{	
	
	private StringBuffer listadoPrimos = new StringBuffer();
			
	
	public void listarPrimos(int num){
		
		if(num<1){
			return;
		}
		
		double factNum = factorial(num-1);
		
		int residuo = (int) ( (factNum + 1) % num );
		
		if(residuo == 0){
			listadoPrimos.append(" "+num+"\n");
		}
		
		listarPrimos(num-1);		
	}
	
	
	public double factorial(int n){
		
		if(n==0){
			return 1;
		}
		
		return n * factorial(n-1);
	}
	
	
	public String getListadoPrimos(){
		return listadoPrimos.toString();
	}
	
	
	public static void main(String[] args){
		
		NumerosPrimos np = new NumerosPrimos();
		
		// Maximo antes de fallo en el calculo
		int lim = 19;
				
		np.listarPrimos(lim);	
		
		System.out.print ("\n Los Numeros Primos son: "+"\n\n");		
		System.out.print (np.getListadoPrimos()+"\n ");		
	}	
}